Snake = Object:extend()

segmentsCount = 0
dir = 2

function Snake:new(x, y, speed)
	self.speed = speed or 0
	segmentsCount = segmentsCount + 1
	self.x = x
	self.y = y
	self.width = 32
	self.height = 32
	self.realX = self.x * 32
	self.realY = self.y * 32
end

function Snake:collision(object) 
	if self.x > object.x and self.x + self.width < object.x and self.y > object.y and self.y + self.height < object.y then
		return true
	else
		return false
	end
end

function Snake:update(dt)
	if self.speed ~= 0 then	
		if dir == 1 then
			self.realY = self.realY - self.speed * dt
		elseif dir == 2 then
			self.realX = self.realX + self.speed * dt
		elseif dir == 3 then
			self.realY = self.realY + self.speed * dt
		elseif dir == 4 then
			self.realX = self.realX - self.speed * dt
		end
	end
end

function Snake:draw()
	love.graphics.rectangle("fill", self.realX, self.realY, self.width, self.height)
end